#
# Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

class NvosDB(object):
    APPL_DB = "APPL_DB"
    COUNTERS_DB = "COUNTERS_DB"
    CONFIG_DB = "CONFIG_DB"
    STATE_DB = "STATE_DB"
    EVENT_DB = "EVENT_DB"


class NvosTable(object):
    # APPL_DB Tables START
    APPL_DB_IB_PORT_TABLE = "IB_PORT_TABLE"
    # APPL_DB Tables END

    # STATE_DB Tables START
    STATE_DB_IB_PORT_TABLE = "IB_PORT_TABLE"
    STATE_DB_AMBIENT_TEMPERATURE = "TEMPERATURE_INFO|Ambient Port Side Temp"
    STATE_DB_CPU_INFO_UTIL = "CPU_INFO|UTIL"
    STATE_DB_DISK_INFO_USAGE = "DISK_INFO|USAGE"
    STATE_DB_RAM_INFO_USAGE = "RAM_INFO|USAGE"
    STATE_DB_FAN_INFO = "FAN_INFO"
    STATE_DB_PSU_INFO = "PSU_INFO"
    STATE_DB_TEMPERATURE_INFO = "TEMPERATURE_INFO"
    STATE_DB_TRANSCEIVER_STATUS = "TRANSCEIVER_STATUS"
    STATE_DB_TRANSCEIVER_DOM_SENSOR = "TRANSCEIVER_DOM_SENSOR"

    # STATE_DB Tables END

    # CONFIG_DB Tables START
    CONFIG_DB_IB_PORT = "IB_PORT"
    CONFIG_DB_DEVICE_METADATA = "DEVICE_METADATA|localhost"
    # CONFIG_DB Tables END

    # COUNTERS_DB Tables START
    COUNTERS_DB_COUNTERS_PORT_NAME_MAP = "COUNTERS_PORT_NAME_MAP"
    COUNTERS_DB_COUNTERS = "COUNTERS"
    # COUNTERS_DB Tables END

    # EVENT_DB Tables START
    EVENT_DB_EVENT = "EVENT"
    # EVENT_DB Tables END
